package com.leromro.core.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.leromro.core.domain.Address;

/**
 * 受服务地址Mapper接口
 * 
 * @author ruoyi
 * @date 2025-04-08
 */
public interface AddressMapper extends BaseMapper<Address>
{
    /**
     * 查询受服务地址
     * 
     * @param addressId 受服务地址主键
     * @return 受服务地址
     */
    public Address selectLAddressByAddressId(Long addressId);


    /**
     * 新增受服务地址
     * 
     * @param address 受服务地址
     * @return 结果
     */
    public int insertLAddress(Address address);

    /**
     * 修改受服务地址
     * 
     * @param address 受服务地址
     * @return 结果
     */
    public int updateLAddress(Address address);

    /**
     * 删除受服务地址
     * 
     * @param addressId 受服务地址主键
     * @return 结果
     */
    public int deleteLAddressByAddressId(Long addressId);

    /**
     * 批量删除受服务地址
     * 
     * @param addressIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLAddressByAddressIds(Long[] addressIds);

    List<Address> selectByUserId(Long userId);
}
